diff --git a/src/backend/commands/tablecmds.c b/src/backend/commands/tablecmds.c
index 437a691..bdbcdff 100644
--- a/src/backend/commands/tablecmds.c
+++ b/src/backend/commands/tablecmds.c
@@ -8641,7 +8641,6 @@ ATExecAddOf(Relation rel, const TypeName *ofTypename, LOCKMODE lockmode)
 {
 	Oid			relid = RelationGetRelid(rel);
 	Type		typetuple;
-	Form_pg_type typ;
 	Oid			typeid;
 	Relation	inheritsRelation,
 				relationRelation;
@@ -8658,7 +8657,6 @@ ATExecAddOf(Relation rel, const TypeName *ofTypename, LOCKMODE lockmode)
 	/* Validate the type. */
 	typetuple = typenameType(NULL, ofTypename, NULL);
 	check_of_type(typetuple);
-	typ = (Form_pg_type) GETSTRUCT(typetuple);
 	typeid = HeapTupleGetOid(typetuple);
 
 	/* Fail if the table has any inheritance parents. */
